routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SingerController;
use App\Http\Controllers\SongController;
use App\Http\Controllers\AlbumController;
use App\Http\Controllers\UserController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::middleware('auth')->group(function () {
    Route::resource('category', CategoryController::class);
    Route::resource('singer', SingerController::class);
    Route::resource('song', SongController::class);
    Route::resource('album', AlbumController::class);
    Route::resource('users', UserController::class);
});


Route::get('/', function () {
    return view('home');
})->middleware(['auth'])->name('dashboard');
require __DIR__.'/auth.php';

app/Http/Controllers/SingerController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\SingerModel;
use App\Http\Requests\SingerRequest;

class SingerController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $singers = SingerModel::all();
        return view('singers.singers',[
            'singers'=>$singers,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('singers.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(SingerRequest $request)
    {
        $singers = SingerModel::create([
            'name' => $request->input('name'),
            'picture' => 'singers/'.$request->file->getClientOriginalName(),
        ]);
        $singers->save();
        $request->file->move("singers/", $request->file->getClientOriginalName());

        return redirect()->route('singer.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $singers = SingerModel::find($id);
        return view('singers.edit', [
            'singers'=> $singers,
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(SingerRequest $request, $id)
    {
        $singers = SingerModel::where('id', $id)
            ->update([
                'name'=>$request->input('name'),
                'picture' => 'singers/'.$request->file->getClientOriginalName(),
            ]);
            $request->file->move("singers/", $request->file->getClientOriginalName());
        return redirect()->route('singer.index');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $singers = SingerModel::find($id);
        $singers->delete();
        return redirect()->route('singer.index');
    }
}

resources/views/singers/add.blade.php
@extends('layouts.add')
@section('add')
    <div class="card-body">
        <form action="{{ route('singer.store') }}" enctype="multipart/form-data" class="row" method="post">
            @csrf
            <div class="col-12 mb-4">
                {{-- <div class="dropzone text-center">
                    <div class="dz-message">
                        <i class="ri-upload-cloud-2-line fs-2 text-dark"></i> <span class="d-block fs-6 mt-2">Drag & Drop or click to Upload</span>
                        <span class="d-block form-text mb-4">540x320 (Max: 300KB)</span> <button type="button" class="btn btn-light-primary">Upload cover image</button>
                    </div>
                </div> --}}
                <input type="file" name="file">
            </div>
            <div class="col-12 mb-4">
                <input type="text" class="form-control" placeholder="Name Singer" name="name" />
            </div>
            <div class="card-footer text-center"><button  type="submit" class="btn btn-primary" style="min-width: 140px;">ADD</button> </div>
        </form>
    </div>

@endsection

resources/views/singers/edit.blade.php
@extends('layouts.form')
@section('page_content')
    <div class="card-body">
        <form action="{{ route('singer.update', $singers->id) }}" enctype="multipart/form-data" class="row" method="post">
            @csrf
            @method('PUT')
            <div class="col-12 mb-4">
                <input type="file" name="file" value="{{ $singers->path }}">
            </div>
            <div class="col-12 mb-4">
                <input type="text" class="form-control" placeholder="Name Singer" name="name" value="{{ $singers->name }}"/>
            </div>
            <div class="card-footer text-center"><button  type="submit" class="btn btn-primary" style="min-width: 140px;">Edit</button> </div>
        </form>
    </div>

@endsection

resources/views/singers/singers.blade.php
@extends('layouts.form')
@section('page_content')
<div class="under-hero container">
    <div class="section">
        <div class="section__head">
            <h3 class="mb-0">Featured <span class="text-primary">Artists</span></h3>
        </div>
        <div class="swiper-carousel swiper-carousel-button">
            <div class="swiper" data-swiper-slides="6" data-swiper-autoplay="true">
                <div class="swiper-wrapper">
                    @foreach ($singers as $singer)
                    <div class="swiper-slide">
                        <div class="avatar avatar--xxl d-block text-center">
                            <div class="avatar__image">
                                <a href="artist-details.html"><img src="{{ $singer->picture }}" /></a>
                            </div>
                            <a href="artist-details.html" class="avatar__title mt-3">{{ $singer->name }}</a>

                        </div>
                    </div>
                    @endforeach
                </div>
                <div class="swiper-pagination"></div>
            </div>
        </div>
    </div>
    <div class="section">
        <div class="section__head">
            <h3 class="mb-0">Top <span class="text-primary">Artists</span></h3>
        </div>
        <div class="row g-4">
            @foreach ($singers as $singer)
            <div class="col-6 col-xl-2 col-md-3 col-sm-4">
                <a href="artist-details.html" class="cover cover--round">
                    <div class="cover__image"><img style="width: " src="{{ $singer->picture }}" alt="Arebica Luna" /></div>
                    <div class="cover__foot"><span class="cover__title text-truncate">{{ $singer->name }}</span></div>
                </a>
                <a href="{{ route('singer.edit', $singer->id) }}">
                    <button type='submit' class='btn bg-yellow    btn-flat'  name=''>Sửa</button>
                </a>
                <form action="{{ route('singer.destroy', $singer->id) }}" method="POST" onclick="return confirm('Are you sure?')">
                    @csrf
                    @method('DELETE')
                    <button type='submit' class='btn bg-red btn-flat'>Xóa</button></a>
                </form>
            </div>
            @endforeach
        <div class="mt-5 text-center">
            <a href="javascript:void(0);" class="btn btn-primary">
                <div class="btn__wrap"><i class="far fa-undo"></i> <span>Load more</span></div>
            </a>
        </div>
    </div>
</div>
@endsection